"use strict";
"use client";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const core_1 = require("@replyke/core");
const comments_social_core_1 = require("@replyke/comments-social-core");
const ui_core_react_js_1 = require("@replyke/ui-core-react-js");
const Replies_1 = require("./Replies");
const HeartButton_1 = __importDefault(require("./HeartButton"));
const useModalManager_1 = __importDefault(require("../../../hooks/useModalManager"));
const Comment = react_1.default.memo(({ comment: commentFromSection, extraLeftPadding = 0, }) => {
    const { user } = (0, core_1.useUser)();
    const { openCommentOptionsModal, openCommentOptionsModalOwner } = (0, useModalManager_1.default)();
    const { handleShallowReply, handleDeepReply, callbacks, highlightedComment, } = (0, core_1.useCommentSection)();
    const { styleConfig } = (0, comments_social_core_1.useSocialStyleConfig)();
    const { horizonalItemsGap, verticalItemsGap, authorAvatarSize, authorFontSize, authorFontWeight, authorFontColor, fromNowFontSize, fromNowFontColor, commentBodyFontSize, commentBodyFontColor, actionsItemGap, replyButtonFontSize, replyButtonFontWeight, replyButtonFontColor, heartIconSize, heartIconEmptyColor, heartIconFullColor, heartIconPaddingBottom, likesCountFontSize, likesCountFontWeight, likesCountFontColor, justNowText, } = styleConfig.commentProps;
    const [hovered, setHovered] = (0, react_1.useState)(false); // State to track hover
    const [comment, setComment] = (0, react_1.useState)(commentFromSection);
    const { upvoteComment, removeCommentUpvote } = (0, core_1.useCommentVotes)({
        comment,
        setComment,
    });
    const handleUpvoteComment = () => {
        if (!user) {
            callbacks?.loginRequiredCallback ||
                (() => alert("Please login first."))();
            return;
        }
        if (!user.username && callbacks?.usernameRequiredCallback) {
            callbacks.usernameRequiredCallback();
            return;
        }
        try {
            upvoteComment();
        }
        catch (err) {
            (0, core_1.handleError)(err, "Failed to upvote comment");
        }
    };
    const handleRemoveCommentUpvote = () => {
        if (!user) {
            callbacks?.loginRequiredCallback ||
                (() => alert("Please login first."))();
            return;
        }
        try {
            removeCommentUpvote();
        }
        catch (err) {
            (0, core_1.handleError)(err, "Failed to upvote comment");
        }
    };
    const userUpvotedComment = !!(user && comment.upvotes.includes(user.id));
    return ((0, jsx_runtime_1.jsxs)("div", { style: {
            width: "100%",
            paddingTop: 8,
            paddingBottom: 8,
            backgroundColor: highlightedComment?.comment.id === comment.id
                ? "#dbeafe"
                : "transparent",
        }, children: [(0, jsx_runtime_1.jsx)("div", { style: {
                    paddingRight: 16,
                    paddingLeft: 16 + extraLeftPadding,
                }, onMouseEnter: () => setHovered(true), onMouseLeave: () => setHovered(false), children: (0, jsx_runtime_1.jsxs)("div", { style: {
                        gap: horizonalItemsGap,
                        display: "flex",
                        flexDirection: "row",
                        alignItems: "flex-start",
                    }, children: [(0, jsx_runtime_1.jsx)("div", { onClick: () => {
                                if (comment.user.id === user?.id) {
                                    callbacks?.currentUserClickCallback?.();
                                }
                                else {
                                    callbacks?.otherUserClickCallback?.(comment.user.id);
                                }
                            }, children: (0, jsx_runtime_1.jsx)(ui_core_react_js_1.UserAvatar, { user: comment.user, borderRadius: authorAvatarSize, size: authorAvatarSize }) }), (0, jsx_runtime_1.jsxs)("div", { style: {
                                gap: verticalItemsGap,
                                flex: 1,
                                display: "flex",
                                flexDirection: "column",
                            }, children: [(0, jsx_runtime_1.jsxs)("div", { style: {
                                        display: "flex",
                                        flexDirection: "row",
                                        alignItems: "baseline",
                                        gap: 4,
                                        marginTop: 2,
                                    }, children: [(0, jsx_runtime_1.jsx)("div", { onClick: () => {
                                                if (comment.user.id === user?.id) {
                                                    callbacks?.currentUserClickCallback?.();
                                                }
                                                else {
                                                    callbacks?.otherUserClickCallback?.(comment.user.id);
                                                }
                                            }, style: {
                                                ...ui_core_react_js_1.resetP,
                                                fontWeight: authorFontWeight,
                                                fontSize: authorFontSize,
                                                color: authorFontColor,
                                            }, children: (0, core_1.getUserName)(comment.user, "username") }), (0, jsx_runtime_1.jsx)(ui_core_react_js_1.FromNow, { time: comment.createdAt, fontSize: fromNowFontSize, color: fromNowFontColor, justNowText: justNowText })] }), comment.content && ((0, jsx_runtime_1.jsx)("p", { style: {
                                        ...ui_core_react_js_1.resetP,
                                        fontSize: commentBodyFontSize,
                                        color: commentBodyFontColor,
                                    }, children: (0, ui_core_react_js_1.parseContentWithMentions)(comment.content, comment.mentions, user?.id, callbacks?.currentUserClickCallback, callbacks?.otherUserClickCallback) })), comment.gif && ((0, jsx_runtime_1.jsx)("img", { src: comment.gif.gifUrl, alt: comment.gif.altText, style: {
                                        width: comment.gif.aspectRatio > 1
                                            ? 200
                                            : 200 * comment.gif.aspectRatio,
                                        height: comment.gif.aspectRatio < 1
                                            ? 200
                                            : 200 / comment.gif.aspectRatio,
                                        borderRadius: "0.25rem", // Applies rounded corners to the image itself
                                        overflow: "hidden",
                                        objectFit: "cover",
                                    } })), (0, jsx_runtime_1.jsxs)("div", { style: {
                                        ...ui_core_react_js_1.resetDiv,
                                        gap: actionsItemGap,
                                        display: "flex",
                                        flexDirection: "row",
                                        alignItems: "center",
                                    }, children: [(0, jsx_runtime_1.jsx)("button", { onClick: () => comment.parentId
                                                ? handleShallowReply(comment)
                                                : handleDeepReply(comment), style: {
                                                ...ui_core_react_js_1.resetButton,
                                                color: replyButtonFontColor,
                                                fontSize: replyButtonFontSize,
                                                fontWeight: replyButtonFontWeight,
                                            }, children: "Reply" }), hovered && ( // Conditionally render the EllipsisIcon button
                                        (0, jsx_runtime_1.jsx)("button", { onClick: () => user && user.id === comment.userId
                                                ? openCommentOptionsModalOwner?.(comment)
                                                : openCommentOptionsModal?.(comment), children: (0, jsx_runtime_1.jsx)(ui_core_react_js_1.EllipsisIcon, {}) }))] })] }), (0, jsx_runtime_1.jsxs)("div", { style: {
                                display: "flex",
                                flexDirection: "column",
                                alignItems: "center",
                            }, children: [(0, jsx_runtime_1.jsx)(HeartButton_1.default, { userUpvoted: userUpvotedComment, handleUpvote: handleUpvoteComment, handleRemoveUpvote: handleRemoveCommentUpvote, iconSize: heartIconSize, emptyColor: heartIconEmptyColor, fullColor: heartIconFullColor, padding: 4, paddingBottom: heartIconPaddingBottom }), (0, jsx_runtime_1.jsx)("div", { style: {
                                        fontSize: likesCountFontSize,
                                        color: likesCountFontColor,
                                        fontWeight: likesCountFontWeight,
                                    }, children: comment.upvotes.length })] })] }) }), !comment.parentId && (0, jsx_runtime_1.jsx)(Replies_1.Replies, { commentId: comment.id })] }));
});
exports.default = Comment;
//# sourceMappingURL=Comment.js.map