"use strict";
"use client";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const core_1 = require("@replyke/core");
const ui_core_react_js_1 = require("@replyke/ui-core-react-js");
const comments_social_core_1 = require("@replyke/comments-social-core");
const Comment_1 = __importDefault(require("../Comment"));
const ShowHideButton_1 = __importDefault(require("./ShowHideButton"));
function Replies({ commentId }) {
    const { sortBy, entityCommentsTree, highlightedComment } = (0, core_1.useCommentSection)();
    const { styleConfig } = (0, comments_social_core_1.useSocialStyleConfig)();
    const { replies, newReplies, page, setPage, loading } = (0, core_1.useReplies)({
        commentId,
        sortBy: sortBy,
    });
    const [areRepliesVisible, setAreRepliesVisible] = (0, react_1.useState)(false);
    const { repliesGap, repliesPaddingTop } = styleConfig.commentProps;
    const comment = entityCommentsTree[commentId]?.comment;
    const filteredReplies = (0, react_1.useMemo)(() => {
        return replies.filter((c) => c.id !== highlightedComment?.comment.id);
    }, [replies, highlightedComment]);
    const newRepliesList = newReplies.map((reply) => ((0, jsx_runtime_1.jsx)(Comment_1.default, { comment: reply, extraLeftPadding: 42 }, reply.id)));
    const oldRepliesList = filteredReplies.map((reply) => ((0, jsx_runtime_1.jsx)(Comment_1.default, { comment: reply, extraLeftPadding: 42 }, reply.id)));
    const someRepliesShow = newReplies.length > 0 ||
        highlightedComment?.parentComment?.id === commentId ||
        (areRepliesVisible && filteredReplies.length > 0) ||
        loading;
    if ((!comment || comment.repliesCount === 0) && newReplies.length === 0)
        return null;
    return ((0, jsx_runtime_1.jsxs)("div", { children: [someRepliesShow && ((0, jsx_runtime_1.jsxs)("div", { style: {
                    paddingTop: repliesPaddingTop,
                    display: "flex",
                    flexDirection: "column",
                    gap: repliesGap,
                }, children: [newRepliesList, highlightedComment &&
                        highlightedComment.parentComment?.id === commentId && ((0, jsx_runtime_1.jsx)(Comment_1.default, { comment: highlightedComment.comment, extraLeftPadding: 42 })), areRepliesVisible && oldRepliesList, loading &&
                        Array.from({
                            length: Math.min(5, comment.repliesCount - filteredReplies.length),
                        }, (_, index) => index + 1).map((i) => (0, jsx_runtime_1.jsx)(ui_core_react_js_1.CommentSkeleton, { extraLeftPadding: 42 }, i))] })), (0, jsx_runtime_1.jsx)(ShowHideButton_1.default, { totalRepliesCount: comment.repliesCount -
                    (highlightedComment?.parentComment?.id === commentId ? 1 : 0), loadedRepliesCount: filteredReplies.length, page: page, setPage: setPage, areRepliesVisible: areRepliesVisible, setAreRepliesVisible: setAreRepliesVisible })] }));
}
exports.default = Replies;
//# sourceMappingURL=Replies.js.map