"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const core_1 = require("@replyke/core");
const LoadedComments_1 = __importDefault(require("./LoadedComments"));
const FetchingCommentsSkeletons_1 = __importDefault(require("./FetchingCommentsSkeletons"));
const NoCommentsPlaceHolder_1 = __importDefault(require("./NoCommentsPlaceHolder"));
const CommentsFeed = react_1.default.memo(({ children: customNoCommentsView }) => {
    const { comments, newComments, loading, highlightedComment } = (0, core_1.useCommentSection)();
    const mergedComments = (0, react_1.useMemo)(() => {
        let combinedComments = [...(newComments ?? []), ...(comments ?? [])];
        if (highlightedComment) {
            const { comment, parentComment } = highlightedComment;
            combinedComments = combinedComments.filter((item) => item.id !== comment.id && item.id !== parentComment?.id);
        }
        return combinedComments;
    }, [comments, newComments, highlightedComment]);
    const showLoadedComments = mergedComments.length > 0 || highlightedComment;
    const showFetchingSkeletons = loading && mergedComments.length === 0 && !highlightedComment;
    // If fetching is done and no comments;
    // Also, because we filter the highlghted comment when it is showing, then we need to make sure this isn't the case here, and show no comments when actually there is one comment - the highlighted one
    const showNoComments = !loading && mergedComments.length === 0 && !highlightedComment;
    return ((0, jsx_runtime_1.jsxs)("div", { style: { flex: 1 }, children: [showLoadedComments && (0, jsx_runtime_1.jsx)(LoadedComments_1.default, { data: mergedComments }), showFetchingSkeletons && (0, jsx_runtime_1.jsx)(FetchingCommentsSkeletons_1.default, {}), showNoComments && (customNoCommentsView ?? (0, jsx_runtime_1.jsx)(NoCommentsPlaceHolder_1.default, {}))] }));
});
exports.default = CommentsFeed;
//# sourceMappingURL=CommentsFeed.js.map