"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const core_1 = require("@replyke/core");
const ui_core_react_js_1 = require("@replyke/ui-core-react-js");
function ReplyBanner() {
    const { repliedToComment, showReplyBanner, setShowReplyBanner, pushMention, setRepliedToComment, } = (0, core_1.useCommentSection)();
    let repliedToUser = "";
    if (pushMention) {
        repliedToUser = (0, core_1.getUserName)(pushMention);
    }
    else if (repliedToComment?.user) {
        repliedToUser = (0, core_1.getUserName)(repliedToComment.user);
    }
    return ((0, jsx_runtime_1.jsx)("div", { style: {
            height: "auto",
            position: "absolute",
            bottom: showReplyBanner ? 0 : -60,
            left: 0,
            right: 0,
            zIndex: 10,
            overflow: "hidden",
            transition: "height 0.3s ease, top 0.3s ease",
            backgroundColor: "#e7e7e7",
            paddingLeft: 12,
            paddingRight: 12,
            paddingTop: 8,
            paddingBottom: 8,
        }, children: (0, jsx_runtime_1.jsxs)("div", { style: {
                display: "flex",
                alignItems: "center",
                justifyContent: "space-between",
                height: "100%",
            }, children: [(0, jsx_runtime_1.jsxs)("span", { style: { color: "#787878", fontSize: 12 }, children: ["Replying to ", repliedToUser] }), (0, jsx_runtime_1.jsx)("button", { onClick: () => {
                        setRepliedToComment(null);
                        setShowReplyBanner(false);
                    }, style: { ...ui_core_react_js_1.resetButton, fontSize: 16 }, children: "\u00D7" })] }) }));
}
exports.default = ReplyBanner;
//# sourceMappingURL=ReplyBanner.js.map