"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useMemo, useState } from "react";
import { useReplies, useCommentSection } from "@replyke/core";
import { CommentSkeleton } from "@replyke/ui-core-react-js";
import { useSocialStyleConfig } from "@replyke/comments-social-core";
import Comment from "../Comment";
import ShowHideButton from "./ShowHideButton";
function Replies({ commentId }) {
    const { sortBy, entityCommentsTree, highlightedComment } = useCommentSection();
    const { styleConfig } = useSocialStyleConfig();
    const { replies, newReplies, page, setPage, loading } = useReplies({
        commentId,
        sortBy: sortBy,
    });
    const [areRepliesVisible, setAreRepliesVisible] = useState(false);
    const { repliesGap, repliesPaddingTop } = styleConfig.commentProps;
    const comment = entityCommentsTree[commentId]?.comment;
    const filteredReplies = useMemo(() => {
        return replies.filter((c) => c.id !== highlightedComment?.comment.id);
    }, [replies, highlightedComment]);
    const newRepliesList = newReplies.map((reply) => (_jsx(Comment, { comment: reply, extraLeftPadding: 42 }, reply.id)));
    const oldRepliesList = filteredReplies.map((reply) => (_jsx(Comment, { comment: reply, extraLeftPadding: 42 }, reply.id)));
    const someRepliesShow = newReplies.length > 0 ||
        highlightedComment?.parentComment?.id === commentId ||
        (areRepliesVisible && filteredReplies.length > 0) ||
        loading;
    if ((!comment || comment.repliesCount === 0) && newReplies.length === 0)
        return null;
    return (_jsxs("div", { children: [someRepliesShow && (_jsxs("div", { style: {
                    paddingTop: repliesPaddingTop,
                    display: "flex",
                    flexDirection: "column",
                    gap: repliesGap,
                }, children: [newRepliesList, highlightedComment &&
                        highlightedComment.parentComment?.id === commentId && (_jsx(Comment, { comment: highlightedComment.comment, extraLeftPadding: 42 })), areRepliesVisible && oldRepliesList, loading &&
                        Array.from({
                            length: Math.min(5, comment.repliesCount - filteredReplies.length),
                        }, (_, index) => index + 1).map((i) => _jsx(CommentSkeleton, { extraLeftPadding: 42 }, i))] })), _jsx(ShowHideButton, { totalRepliesCount: comment.repliesCount -
                    (highlightedComment?.parentComment?.id === commentId ? 1 : 0), loadedRepliesCount: filteredReplies.length, page: page, setPage: setPage, areRepliesVisible: areRepliesVisible, setAreRepliesVisible: setAreRepliesVisible })] }));
}
export default Replies;
//# sourceMappingURL=Replies.js.map