import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useCommentSection } from "@replyke/core";
import { useSocialStyleConfig } from "@replyke/comments-social-core";
import { resetDiv } from "@replyke/ui-core-react-js";
import { Comment } from "./Comment";
function LoadedComments({ data }) {
    const { highlightedComment } = useCommentSection();
    const { styleConfig } = useSocialStyleConfig();
    const { backgroundColor, commentsGap } = styleConfig.commentFeedProps;
    return (_jsxs("div", { style: {
            ...resetDiv,
            display: "grid",
            gap: commentsGap,
            backgroundColor,
        }, children: [highlightedComment ? (_jsx(Comment, { comment: highlightedComment.parentComment ?? highlightedComment.comment })) : null, data?.map((c) => (_jsx(Comment, { comment: c }, c.id)))] }));
}
export default LoadedComments;
//# sourceMappingURL=LoadedComments.js.map