import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { UserAvatar, UserMentionSkeleton } from "@replyke/ui-core-react-js";
function MentionSuggestions({ isMentionActive, isLoadingMentions, mentionSuggestions, handleMentionClick, }) {
    if (!isMentionActive)
        return null;
    return (_jsx("div", { 
        // ref={mentionRef}
        style: {
            height: "auto",
            maxHeight: 200, // Max height + buffer
            position: "absolute",
            bottom: 0,
            left: 0,
            right: 0,
            zIndex: 10,
            overflow: "hidden",
            overflowY: "auto",
            transition: "height 0.15s ease, top 0.3s ease",
            backgroundColor: "white",
            borderTopColor: "#e7e7e7",
            borderTopWidth: "1px",
            borderTopStyle: "solid",
            padding: 16,
        }, children: _jsx("ul", { style: { display: "grid", gap: 8 }, children: isLoadingMentions
                ? [1, 2, 3].map((i) => _jsx(UserMentionSkeleton, {}, i))
                : mentionSuggestions.length > 0
                    ? mentionSuggestions.map((user) => (_jsxs("li", { onClick: () => handleMentionClick(user), style: {
                            cursor: "pointer",
                            display: "flex",
                            alignItems: "center",
                            gap: 8,
                        }, children: [_jsx(UserAvatar, { user: user }), _jsxs("div", { style: {
                                    display: "grid",
                                    justifyContent: "space-evenly",
                                }, children: [_jsx("div", { style: { fontSize: 14, fontWeight: 500 }, children: user.username }), user.name && (_jsx("div", { style: { fontSize: 14, fontWeight: 400, color: "gray" }, children: user.name }))] })] }, user.id)))
                    : null }) }));
}
export default MentionSuggestions;
//# sourceMappingURL=MentionSuggestions.js.map