import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { useCommentSection, getUserName } from "@replyke/core";
import { resetButton } from "@replyke/ui-core-react-js";
function ReplyBanner() {
    const { repliedToComment, showReplyBanner, setShowReplyBanner, pushMention, setRepliedToComment, } = useCommentSection();
    let repliedToUser = "";
    if (pushMention) {
        repliedToUser = getUserName(pushMention);
    }
    else if (repliedToComment?.user) {
        repliedToUser = getUserName(repliedToComment.user);
    }
    return (_jsx("div", { style: {
            height: "auto",
            position: "absolute",
            bottom: showReplyBanner ? 0 : -60,
            left: 0,
            right: 0,
            zIndex: 10,
            overflow: "hidden",
            transition: "height 0.3s ease, top 0.3s ease",
            backgroundColor: "#e7e7e7",
            paddingLeft: 12,
            paddingRight: 12,
            paddingTop: 8,
            paddingBottom: 8,
        }, children: _jsxs("div", { style: {
                display: "flex",
                alignItems: "center",
                justifyContent: "space-between",
                height: "100%",
            }, children: [_jsxs("span", { style: { color: "#787878", fontSize: 12 }, children: ["Replying to ", repliedToUser] }), _jsx("button", { onClick: () => {
                        setRepliedToComment(null);
                        setShowReplyBanner(false);
                    }, style: { ...resetButton, fontSize: 16 }, children: "\u00D7" })] }) }));
}
export default ReplyBanner;
//# sourceMappingURL=ReplyBanner.js.map